
BlueBRIDGE - Project Activity #1633

Project WP # 654 (Closed): WP6 - Supporting Blue Economy: VREs Development [Months: 1-30]

Project Task # 656 (Closed): T6.2 Strategic Investment analysis and Scientific Planning/Alerting VRE [Months: 1-30]

Blue Economy VRE#2 Software Implementation, Integration and Deployment (Stage 2)

Dec 01, 2015 01:07 PM - George Kakaletris

Status: Closed Start date: Oct 01, 2015

Priority: High Due date: Aug 31, 2017

Assignee: Dimitris Katris % Done: 100%

Sprint: WP06   

Participants: 10 - I2S, 11 - CITE, 4 - UOA, 5 - FAO   

Description

Update: Design and development of software. Initial design task might is valuable. Must describe some functional, or quality aspects.

Technologies and procedures must be settled. Training, release and documentation are mandatory tasks that can span several

components or facets of software (components/services).

Software releases should be foreseen (multiple as per scrum). Methodology for releases must be defined (The full BBP, a ""just

deploy"" approach or an intermediate one?). Depending on release methodology, verification might be part of the implementation and

not a standalone activity. In any case could be better if automated verification is integral to s/w implementation.

Subtasks:

Task # 6101: Geospatial Analytics & Alerting Platform Implementation (Stage 2) Closed

  Task # 6103: Notify VRE users about the projects they are associated with Closed

  Task # 6104: Specify user access rights in projects Closed

  Task # 6107: Layer database table in geoanalytics platform Closed

  Task # 6109: Use layer id to identify the layer that a shape belongs to Closed

  Task # 4665: Implement platform architectural abstractions Closed

    Task # 6110: Generic plugin mechanism implementation Closed

    Task # 6111: Provide the ability to inject custom import logic Closed

    Task # 6112: Use the plugin mechanism to offer geoanalytic functions Closed

    Task # 6113: Administration UI to register custom plugins Closed

    Task # 6562: Implement caching mechanism for plugins Closed

    Task # 6734: Use the plugin mechanism to offer custom layer attribute visualization cap... Closed

  Task # 6121: Create Version table in geoanalytics database Closed

  Task # 6182: Log method invocation and exceptions in geonalytics back end Closed

  Task # 6183: Log method invocation and exceptions in geonalytics portlets Closed

  Task # 6184: Properly handle and display errors in the geoanalytics front end Closed

  Task # 6190: Geoanalytics admin search in layers Closed

  Task # 6191: Geoanalytics admin list users Closed

  Task # 6192: Geoanalytics admin UI refinements Closed

  Task # 6195: Parallel import into the geoanalytics platform from the portlets Closed

  Task # 6196: Geoanalytics admin monitor import jobs Closed

  Task # 6197: Create a dedicated nuts importer to improve import performance Closed

  Task # 6200: Discover database instance through IS Closed

  Task # 6211: Installation and upgrade guidelines for the geoanalytics platform Closed

  Task # 6212: Reorganize repository and projects structure Closed

  Task # 6216: Input validation in geoanalytics administration portlet and service Closed

  Task # 6260: Allow punctuation characters in tsv import free text fields Closed

  Task # 6261: Refactor the database tables shapeterm and taxonomytermshape Closed

  Task # 6263: Use the newer version of open layers in administration portlet Closed

  Task # 6264: Revise the delete layer administration method Closed

  Task # 6266: Rollback import if an action fails Closed

  Task # 6287: Improve tsv import implementation Closed

  Task # 2001: Implement Geospatial Analytics Model Configuration & Management Logic Closed

May 22, 2019 1/4



  Task # 6317: Improve geoanalytics UI responsiveness Closed

  Task # 6324: Define geocode systems as an entity of the platform Closed

  Task # 6334: Implement a sample geospatial function Closed

  Task # 6336: Handle errors and display appropriate messages to users if an error occurs Closed

  Task # 1999: Implement generic data access model of Geopolis Closed

  Task # 1992: Logical Layer Broker & Manager development Closed

    Task # 1993: Logical Layer Broker development Closed

    Task # 1994: Logical Layer Manager Development Closed

  Task # 6491: Provide additional information in wfs import Closed

  Task # 6755: Implement shape file importer in geoanalytics platform Closed

  Task # 6757: Specify bounding box in which a geoanalytics function will be executed Closed

  Task # 6847: Add layer style management in the geoanalytics platform Closed

  Task # 6983: Offer layer tagging feature to the geoanalytics platform Closed

  Task # 7144: Add support for raster layers from GeoTiff files Closed

  Task # 7542: Offer support for layers residing to external or infrastructure geoservers Closed

  Task # 7543: Expose wfs endpoint in the geoanalytics platform Closed

  Task # 6323: Support grouping of layers that present same info with different detail level Closed

  Task # 2000: Implement virtual layer configuration & management logic Closed

  Task # 7547: Improve and generalize CSV/TSV importer Closed

  Task # 7990: Add the ability to import template layers in the shapefile importer Closed

  Task # 7991: Distributed execution of investment opportunity evaluation algorithms Closed

    Task # 7994: Map the area to explore for optimal investment opportunity evaluation in s... Closed

    Task # 7996: Store the result of a distributed algorithm execution in the geoanalytics ... Closed

    Task # 1946: Analyze Apache Spark utilization options Closed

    Task # 1419: Implement Apache Spark abstractions for execution of customer code Closed

    Task # 7545: Implement an exhaustive map exploration algorithm that executes a fitness ... Closed

    Task # 8794: Implement a probabilistic map exploration algorithm (simulated annealing) ... Closed

    Task # 8985: Arbitrary layers that prevent the construction of an aquafarm in investmen... Closed

    Task # 9981: Use the mesos spark cluster in order to execute geoanalytics functions Closed

    Task # 10887: Allow parallel execution of spark jobs in the mesos cluster with dynamic ... Closed

  Task # 8795: Implement a mechanism that provides the status of the execution of a function Closed

    Task # 8853: Extend the geoanalytics UI to show the functions' execution status Closed

    Task # 8906: Reform the Geoanalytics backend to support asynchronous executions Closed

  Task # 8796: Make layer attribute visualization configurable Closed

  Task # 9446: Export layers as shapefiles from geoanalytics admin portlet Closed

  Task # 9586: Support multiple attribute values as a result of a function Closed

  Task # 9587: Offer style selection in the geoanalytics functions UI Closed

  Task # 9849: Explicit layer publishing/unpublishing from geonetwork Closed

  Task # 9852: Reconnect geospatial cluster node after network issues Closed

  Task # 9974: Add support for public projects in geoanalytics Closed

  Task # 9976: Add search support in layer selection at project creation in geoanalytics ... Closed

  Task # 10886: Allow importing of huge shapefiles in the geoanalytics platform Closed

Task # 6099: Techno-Economic Analysis Platform Implementation (Stage 2) Closed

  Task # 5539: Persist input and output of techno-economic analysis execution Closed

  Task # 5542: Cache and reuse service endpoints in both techno-economic analysis portlet... Closed

  Task # 5558: Calculate initial fish fry in economic model evaluation Closed

  Task # 5603: Compare output results of techno economic analysis execution Closed

  Task # 5604: Export output results of techno economic analysis execution Closed

  Task # 6178: Realign/Review table view elements of Techno Economic Analysis Closed

  Task # 6210: Remove the techno-economic-analysis portlet border and title Closed

  Task # 6497: Request mortality rate value from SimulFishGrowthDataAPI. Closed

  Task # 6679: Techno-Economic Analysis - Advanced mode & Help Closed

  Task # 7046: Consume feed consumption from performance analysis in the technoeconomic a... Closed

May 22, 2019 2/4



Task # 6486: Clear SIASPA VRE geonetwork invalid entries Closed

Task # 6744: Revise and Enrich Cost Model for Aquaculture Investment Performance Evalua... Closed

Task # 7309: Provide a users guide for geoanalytics platform and administration portlet Closed

Task # 2300: Implement investment performance KPIs Closed

Task # 2301: Implement Cost Model for Aquaculture Investment Performance Evaluation Closed

Task # 1948: Design and implement algorithms for investment opportunity evaluation Closed

  Task # 7546: Implement investment performance KPIs as fitness functions Closed

  Task # 7548: Define factors that prevent the construction of an aquafarm in an area Closed

  Task # 8462: Integrate and use global performance model library in investment opportuni... Closed

  Task # 8464: Document the socioeconomic and preventive factors that will be used in the... Closed

  Task # 8791: Create a library that offers the sea surface temperature for a specific lo... Closed

  Task # 8792: Create a library that offers the concentration of dissolved oxygen for a s... Closed

  Task # 9563: Implement aquaculture production performance KPIs as fitness functions Closed

Feature # 1422: Implement a generalized mechanism for Apache Spark integration into the... Closed

History

#1 - Jan 04, 2016 01:55 PM - George Kakaletris

- Start date set to Sep 01, 2015

due to changes in a related task

#2 - Sep 15, 2016 02:06 PM - George Kakaletris

- Assignee changed from Gerasimos Farantatos to Dimitris Katris

#3 - Dec 01, 2016 01:54 PM - Dimitris Katris

- Start date changed from Dec 01, 2016 to Oct 20, 2016

- Due date set to Dec 19, 2016

due to changes in a related task

#4 - Dec 02, 2016 10:34 AM - Dimitris Katris

- Start date changed from Oct 20, 2016 to Jun 06, 2016

- Due date changed from Dec 19, 2016 to Mar 31, 2017

due to changes in a related task

#5 - Dec 02, 2016 10:49 AM - Dimitris Katris

- Start date changed from Jun 06, 2016 to Oct 20, 2016

- Due date changed from Mar 31, 2017 to Dec 19, 2016

due to changes in a related task

#6 - Dec 13, 2016 04:25 PM - Dimitris Katris

- Start date changed from Oct 20, 2016 to Oct 01, 2015

due to changes in a related task

#7 - Jan 03, 2017 10:31 AM - Dimitris Katris

- Due date changed from Dec 19, 2016 to May 31, 2017
due to changes in a related task

#8 - Jan 18, 2017 02:26 PM - Dimitris Katris

- Due date changed from May 31, 2017 to Sep 30, 2017

due to changes in a related task

#9 - Mar 20, 2017 03:57 PM - Dimitris Katris

- Status changed from New to In Progress

#10 - Mar 05, 2018 10:59 AM - Dimitris Katris

- Status changed from In Progress to Closed

The second period of software development has been successfully completed.

#11 - Mar 05, 2018 11:00 AM - Dimitris Katris

- Assignee changed from Dimitris Katris to Dimitris Katris
